variable "Coralogix-PrivateKey" {}
variable "Coralogix-CompanyID" {}
variable "Coralogix-ApplicationName" {}
variable "Coralogix-Endpoint" {}
variable "Coralogix-AlertsPrivateKey" {}
variable "Coralogix-CreateResources" {}
variable "AWS-SubnetId" {}
variable "AWS-SSHKey" {}
variable "AWS-AdditionalTags" {}
variable "AWS-DiskSize" {}
variable "AWS-EncryptDisk" {}
variable "AWS-DiskType" {}
variable "STA-ConfigS3BucketName" {}
variable "STA-MgmtNicSecurityGroupID" {}
variable "STA-PacketsS3BucketRequired" {}
variable "STA-PacketsS3Bucket" {}
variable "STA-Size" {}
variable "STA-Lifecycle" {}
variable "STA-ElasticIpRequired" {}
variable "STA-WazuhRequired" {}
variable "STA-SizePool" {}
variable "STA-SpotPrice" {}

module "STA" {
  source = "https://snowbit-integrations.s3-eu-west-1.amazonaws.com/cloud-security/terraform/snowbit-sta.template.tgz"

  Coralogix-PrivateKey        = var.Coralogix-PrivateKey
  Coralogix-CompanyID         = var.Coralogix-CompanyID
  Coralogix-ApplicationName   = var.Coralogix-ApplicationName
  Coralogix-Endpoint          = var.Coralogix-Endpoint
  Coralogix-AlertsPrivateKey  = var.Coralogix-AlertsPrivateKey
  Coralogix-CreateResources   = var.Coralogix-CreateResources
  STA-ConfigS3BucketName      = var.STA-ConfigS3BucketName
  STA-MgmtNicSecurityGroupID  = var.STA-MgmtNicSecurityGroupID
  STA-PacketsS3BucketRequired = var.STA-PacketsS3BucketRequired
  STA-PacketsS3Bucket         = var.STA-PacketsS3Bucket
  STA-Size                    = var.STA-Size
  STA-Lifecycle               = var.STA-Lifecycle
  STA-ElasticIpRequired       = var.STA-ElasticIpRequired
  STA-WazuhRequired           = var.STA-WazuhRequired
  STA-SizePool                = var.STA-SizePool
  STA-SpotPrice               = var.STA-SpotPrice
  AWS-SubnetId                = var.AWS-SubnetId
  AWS-SSHKey                  = var.AWS-SSHKey
  AWS-DiskSize                = var.AWS-DiskSize
  AWS-DiskType                = var.AWS-DiskType
  AWS-EncryptDisk             = var.AWS-EncryptDisk
  AWS-AdditionalTags          = var.AWS-AdditionalTags
}